selinux_restorecon_set_sehandle(3)

NAME
selinux_restorecon_set_sehandle - set a labeling handle for use by selinux_restorecon(3)

SYNOPSIS
#include <selinux/restorecon.h>
#include <selinux/label.h>

void selinux_restorecon_set_sehandle(struct selabel_handle *handle);

DESCRIPTION
selinux_restorecon_set_sehandle() sets the handle to be use by selinux_restorecon(3) when relabeling files.

selinux_restorecon_set_sehandle() is generally used when customised selabel_open(3) parameters are required to perform relabeling operations with selinux_restorecon(3).

selinux_restorecon_set_sehandle() will output to the default SELinux log information regarding whether a digest is available or not. If it were available, the message will contain the SHA1 digest and a list of specfiles used to compute the digest.

SEE ALSO
selinux_restorecon(3),
selinux_restorecon_set_exclude_list(3),
selinux_restorecon_default_handle(3)